#!/bin/bash
#
# Author: Severin Kaderli <severin.kaderli@gmail.com>
# Usage: ./install.sh
# Array of files which should be symlinked.
FILES=(
    ".aliases"
    ".bash_logout"
    ".bash_profile"
    ".bashrc"
    ".config/compton.conf"
    ".config/dunst"
    ".config/i3"
    ".config/polybar"
    ".config/streamlink"
    ".config/termite"
    ".crontab"
    ".dircolors"
    ".gitconfig"
    ".gtkrc-2.0.mine"
    ".gtkrc-2.0"
    ".keyleds"
    ".vimrc"
    ".xinitrc"
    ".Xresources"
    "bin"
)

# The directory of this repository
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

# Function to display fancy headers
function print_header() {
    echo -e "\e[32m########################################"
    echo -e "# $1"
    echo -e "########################################\e[39m"
}

# Install base-devel for building aur packages
print_header "Installing packages"
#sudo pacman -S git base-devel --noconfirm

# Install aurman
#git clone https://aur.archlinux.org/aurman.git
#cd aurman
#makepkg -si --noconfirm --skippgpcheck
#cd ..
#rm -rf aurman

# Install packages
#aurman -S --noconfirm $(cat "$DIR/packages.list")
#aurman -S --noconfirm $(cat "$DIR/packages2.list")

# Create symlinks to dotfiles
print_header "Creating symlinks"
for file in "${FILES[@]}"
do
    echo "Linking $file"
    rm -rf "$HOME/$file"
    ln -fs "$DIR/$file" "$HOME/$file"
done

# Give scripts execute permissions
print_header "Give permissions"
chmod -R +x "$HOME/bin"

# TODO: Enable services
print_header "Enabling systemd services"